function calculate_peaks(categ,Type)
%this function calculates the peaks of each waveform
%for a specific category defined by variable categ
%make sure that the 3D array AMP, under file [categ '_data.mat'], exists
%Type: 'High', 'Low', 'Mean'

%enter the appropriate location and load array
dirname=['C:\MATLAB\work\Lambis\'];% Type];
cd (dirname);
tmpstr = [categ '_data'];
load(tmpstr)
TEMP = AMP;
clear AMP;

%begin loop for each subject
for i=1:size(TEMP,3)
    %begin loop for each node
    for j=1:15
        %setting curve limits and calculating peaks
        for k=1:5
            switch k
                %case 1, st=20; fin=80; sel='p';      %p50
            case 1, st=75; fin=150; sel='n';     %n100
            case 2, st=140; fin=250; sel='p';    %p200
            case 3, st=180; fin=300; sel='n';    %n200
                %case 5, st=220; fin=380; sel='p';    %p300
            case 4, st=240; fin=500; sel='p';    %p300b
                %case 7, st=340; fin=500; sel='n';    %n400
            case 5, st=500; fin=800; sel='p';    %p600
            end
            
            if any(TEMP(j,st/2+1:fin/2+1,i))==1
                if sel=='p'
                    [M,pos]=min(TEMP(j,st/2+1:fin/2+1,i));
                else
                    [M,pos]=max(TEMP(j,st/2+1:fin/2+1,i));
                end
                T = (st/2+pos)*2-2;
                AMP(i,(k-1)*15+j)=-M; %AMP(i,(j-1)*8+k)=M;
                LAT(i,(k-1)*15+j)=T; %LAT(i,(j-1)*8+k)=T;
            else
                AMP(i,(k-1)*15+j)=-999; %AMP(i,(j-1)*8+k)=M;
                LAT(i,(k-1)*15+j)=-999'; %LAT(i,(j-1)*8+k)=T;
            end
        end
    end
%END of loop for each patient
end

%the name of the mat file to be created
S1 = ['C:\MATLAB\work\Peaks\'];
cd(S1);
S2 = [S1 Type];
try
    cd(S2);
catch
    mkdir(S1, Type);
    cd(S2);
end

tmpfile = [categ '_peaks'];
save(tmpfile,'AMP','LAT');
tmpfile1 = [tmpfile '_A'];
save(tmpfile1,'AMP','-ascii','-tabs');
tmpfile2 = [tmpfile '_L'];
save(tmpfile2,'LAT','-ascii','-tabs');